# Interface UwsJobInfo.Result

Enclosing interface:
  `UwsJobInfo`

public static interface UwsJobInfo.Result
Represents a result associated with a UWS job.

Since:
  4 May 2011
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`String`
`getHref()`
Returns the optional xlink:href attribute for this result.
`String`
`getId()`
Returns this result's ID (name).
`String`
`getType()`
Returns the optional xlink:type attribute for this result.
`String`
`getValue()`
Returns this result's value.

## Method Details

### getId

String getId()
Returns this result's ID (name).

Returns:
  name

### getValue

String getValue()
Returns this result's value.

Returns:
  value

### getHref

String getHref()
Returns the optional xlink:href attribute for this result.

Returns:
  link reference

### getType

String getType()
Returns the optional xlink:type attribute for this result.

Returns:
  link type